"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleWsServer = void 0;
const ws_1 = require("ws");
const SimpleWsWebSocket_1 = require("./SimpleWsWebSocket");
const constants_1 = require("../constants");
class SimpleWsServer extends ws_1.Server {
    constructor(options, callback) {
        super({ WebSocket: SimpleWsWebSocket_1.SimpleWsWebSocket, ...options }, callback);
        setInterval(() => {
            this.clients.forEach((ws) => {
                ws._healthCheck();
            });
        }, constants_1.HEALTH_CHECK_INTERVAL);
    }
    broadcastMessage(roomId, type, data) {
        this.clients.forEach((ws) => {
            if (roomId === '*' || ws.rooms.has(roomId)) {
                ws.sendMessage(type, data);
            }
        });
    }
}
exports.SimpleWsServer = SimpleWsServer;
//# sourceMappingURL=SimpleWsServer.js.map